Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.binding
Class DCParameterDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef
oracle.adf.model.binding.DCParameterDef`

All Implemented Interfaces:
  oracle.adf.model.binding.DCIBaseParameterDef

public class DCParameterDef
extends DCControlBindingDef
implements oracle.adf.model.binding.DCIBaseParameterDef

Field Summary
`static int` | `PARAM_DEFAULT` For internal use only.
`static int` | `PARAM_FINAL` Binding definition has the expression to get to the value that should be used for this parameter.
`static int` | `PARAM_MANDATORY` Parameter value has to be set by the caller.
`static int` | `PARAM_OPTIONAL` Binding definition's value is used only if the parameter is not specifically set by the caller.
`static java.lang.String` | `PNAME_Option`
`static java.lang.String` | `PNAME_ReadOnly`
`static java.lang.String` | `PNAME_Value`

Fields inherited from class oracle.adf.model.binding.DCControlBindingDef
`PNAME_ControlBindingClass, PNAME_ControlClass, PNAME_CustomInputHandler, PNAME_InitialValue, PNAME_IterBinding, PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`DCParameterDef()`

Method Summary
`protected DCControlBinding` | `createControlBindingInstance(java.lang.Object control, DCBindingContainer formBnd)`
`java.lang.String` | `getExpression()`
`int` | `getOptionFlag()`
`void` | `init(java.util.HashMap initValues)` For internal use only.
`protected void` | `initSubType()`
`boolean` | `isFinal()` A usage cannot override this parameter expression.
`boolean` | `isMandatory()` Return true if a value for this parameter has to be passed in in the usage of this parameter's container.
`boolean` | `isOptional()`
`boolean` | `isReadOnly()` Return false if this parameter's expression is allowed to be updateable at runtime via setExpression
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`
`void` | `setExpression(java.lang.String value)`

Methods inherited from class oracle.adf.model.binding.DCControlBindingDef
`createControl, createControlBinding, createControlBinding, getBindingContainerDef, getControlBindingClassName, getControlClassName, getDesignTimeClass, getInitialValue, getIterBinding, getIterBindingName, getLayoutCons, getXMLElementTag, loadChildrenFromXML, loadCustomDef, setBindingContainerDef, setControlBindingClassName, setControlClassName, setInitialValue`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, isDirty, isNew, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNAME_Value

    public static final java.lang.String PNAME_Value

  See Also:
    Constant Field Values

### PNAME_Option

    public static final java.lang.String PNAME_Option

  See Also:
    Constant Field Values

### PNAME_ReadOnly

    public static final java.lang.String PNAME_ReadOnly

  See Also:
    Constant Field Values

### PARAM_FINAL

    public static final int PARAM_FINAL

  Binding definition has the expression to get to the value that should be used for this parameter.
  See Also:
    Constant Field Values

### PARAM_OPTIONAL

    public static final int PARAM_OPTIONAL

  Binding definition's value is used only if the parameter is not specifically set by the caller. This is the default.
  See Also:
    Constant Field Values

### PARAM_MANDATORY

    public static final int PARAM_MANDATORY

  Parameter value has to be set by the caller.
  See Also:
    Constant Field Values

### PARAM_DEFAULT

    public static final int PARAM_DEFAULT

  For internal use only.
  See Also:
    Constant Field Values

Constructor Detail

### DCParameterDef

    public DCParameterDef()

Method Detail

### initSubType

    protected void initSubType()

  Overrides:
    `initSubType` in class `DCDefBase`

### createControlBindingInstance

    protected DCControlBinding createControlBindingInstance(java.lang.Object control,
                                                            DCBindingContainer formBnd)

  Specified by:
    `createControlBindingInstance` in class `DCControlBindingDef`

### getExpression

    public final java.lang.String getExpression()

### setExpression

    public final void setExpression(java.lang.String value)

### isReadOnly

    public final boolean isReadOnly()

  Return false if this parameter's expression is allowed to be updateable at runtime via setExpression

### isMandatory

    public final boolean isMandatory()

  Return true if a value for this parameter has to be passed in in the usage of this parameter's container.
  Specified by:
    `isMandatory` in interface `oracle.adf.model.binding.DCIBaseParameterDef`

### isOptional

    public final boolean isOptional()

  Specified by:
    `isOptional` in interface `oracle.adf.model.binding.DCIBaseParameterDef`

### isFinal

    public final boolean isFinal()

  A usage cannot override this parameter expression.
  Specified by:
    `isFinal` in interface `oracle.adf.model.binding.DCIBaseParameterDef`

### getOptionFlag

    public int getOptionFlag()

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `DCControlBindingDef`

### init

    public void init(java.util.HashMap initValues)

  For internal use only.
  Overrides:
    `init` in class `DCControlBindingDef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.